package com.bocloud.tse.core.domain.args.maintain;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

/**
 * 服务参数
 */
@Data
public class ServiceArg {

    private String name;
    private String state;
    private Boolean enabled;
    private String arguments;
    @JSONField(name = "start_mode")
    private String startMode;

    public ServiceArg() {}

    public ServiceArg(String name, String state, Boolean enabled, String arguments, String startMode) {
        super();
        this.name = name;
        this.state = state;
        this.enabled = enabled;
        this.arguments = arguments;
        this.startMode = startMode;
    }

}
