package com.bocloud.tse.core.domain.args.software;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class ActivemqArg {

    private String version;
    // private List<Map<String, Object>> queue;
    // private List<Map<String, Object>> topic;
    // private List<Map<String, Object>> authentication;
    @JSONField(name = "activemq_admin_user")
    private List<Map<String, Object>> activemqAdminUser;

    public ActivemqArg(String version, List<Map<String, Object>> activemqAdminUser) {
        this.version = version;
        this.activemqAdminUser = activemqAdminUser;
    }

    public ActivemqArg() {}

}