package com.bocloud.tse.core.domain.args.software;

import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class ElasticsearchArg {

    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "cluster_name")
    private String clusterName;

    public ElasticsearchArg() {}

    public ElasticsearchArg(Map<String, Object> softwareConfig, String clusterName) {
        super();
        this.softwareConfig = softwareConfig;
        this.clusterName = clusterName;
    }

}