package com.bocloud.tse.core.domain.args.software;

import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class WebSphereArg {

    private String version;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;

    public WebSphereArg(Map<String, Object> softwareConfig) {
        this.softwareConfig = softwareConfig;
    }

    public WebSphereArg(String version, Map<String, Object> softwareConfig) {
        this.version = version;
        this.softwareConfig = softwareConfig;
    }

    public WebSphereArg() {}

}