package com.bocloud.tse.core.domain.args.software;

import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class ZookeeperArg {

    private String version;
    @JSONField(name = "cluster_install")
    private boolean clusterInstall;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "install_telegraf")
    private boolean installTelegraf;

    public ZookeeperArg(String version, Map<String, Object> softwareConfig) {
        this.version = version;
        this.softwareConfig = softwareConfig;
    }

    public ZookeeperArg(String version, boolean clusterInstall, Map<String, Object> softwareConfig,
        boolean installTelegraf) {
        this.version = version;
        this.clusterInstall = clusterInstall;
        this.softwareConfig = softwareConfig;
        this.installTelegraf = installTelegraf;
    }

    public ZookeeperArg() {}

}