package com.bocloud.tse.core.domain.front.maintain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ScriptLocalFront {

    // 脚本执行参数
    private String params;
    //
    private String context;
    // 脚本信息
    private List<Map<String, Object>> scripts;

    // -----------内置单脚本（临时使用，后面会优化调)------------
    // 脚本分组ID
    private List<Long> groupId;
    // 脚本数据库中的ID
    private Long scriptId;
    // 脚本内容
    private String content;
    // 脚本类别:shell|bat 等
    private String category;
    //
    private String code;
    // 脚本是否异步执行
    private Boolean async;
    /**
     * 脚本执行异步执行超时时间
     */
    private Long asyncTimeout;

}