package com.bocloud.tse.core.domain.front.software;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;
import com.bocloud.tse.core.domain.group.Group;

import lombok.Data;

@Data
public class K8sFront {

    private String version;
    @JSONField(name = "cluster_install")
    private boolean clusterInstall;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "container_config")
    private Map<String, Object> containerConfig;
    @JSONField(name = "k8s_config")
    private Map<String, Object> k8sConfig;
    @JSONField(name = "network_config")
    private Map<String, Object> networkConfig;
    @JSONField(name = "storage_config")
    private Map<String, Object> storageConfig;
    @JSONField(name = "harbor_config")
    private Map<String, Object> harborConfig;
    private List<Group> groups;

    public K8sFront() {}

    public void setHarborConfig(Map<String, Object> harborConfig) {
        if (null == harborConfig || harborConfig.isEmpty()) {
            return;
        }
        this.harborConfig = harborConfig;
    }

}