package com.bocloud.tse.core.domain.front.software;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;
import com.bocloud.tse.core.domain.group.Group;

import lombok.Data;

@Data
public class OracleFront {

    private String version;
    @JSONField(name = "cluster_install")
    private boolean clusterInstall;
    private List<Group> groups;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "manage_config")
    private Map<String, Object> manageConfig;
    @JSONField(name = "oracle_databases")
    private List<Map<String, Object>> oracleDatabases;
    @JSONField(name = "asm_diskgroups")
    private Map<String, List<Map<String, Object>>> asmDiskGroups;
    @JSONField(name = "host_fs_layout")
    private List<Map<String, Object>> hostFsLayout;

    public OracleFront() {}

}