package com.bocloud.tse.core.domain.front.software;

import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class SqlserverFront {

    private String version;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "win_disk")
    private Map<String, Object> winDisk;

    public SqlserverFront(String version, Map<String, Object> softwareConfig, Map<String, Object> winDisk) {
        this.version = version;
        this.softwareConfig = softwareConfig;
        this.winDisk = winDisk;
    }

    public SqlserverFront() {}

    public void setWinDisk(Map<String, Object> winDisk) {
        if (null == winDisk || winDisk.isEmpty()) {
            return;
        }
        this.winDisk = winDisk;
    }

}