package com.bocloud.tse.core.domain.front.software;

import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class WeblogicFront {

    private String version;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "manage_config")
    private Map<String, Object> manageConfig;
    @JSONField(name = "jdk_version")
    private String jdkVersion;
    @JSONField(name = "os_user")
    private String osUser;

    public WeblogicFront(String version, Map<String, Object> softwareConfig, Map<String, Object> manageConfig,
        String jdkVersion, String osUser) {
        this.version = version;
        this.softwareConfig = softwareConfig;
        this.manageConfig = manageConfig;
        this.jdkVersion = jdkVersion;
        this.osUser = osUser;
    }

    public WeblogicFront() {}

}