package com.bocloud.tse.core.domain.input;

import java.util.List;

import com.bocloud.tse.model.WorkerHost;

import lombok.Data;

/**
 * 任务执行目标主机
 */
@Data
public class Target {

    private Boolean sudo;
    private Boolean become;
    private String becomeUser;
    private String becomePass;
    private Integer identId;
    private List<WorkerHost> data;
    private String authenMode;
    private String executeType;

    public Target(Boolean sudo, Integer identId, List<WorkerHost> data, String authenMode) {
        this.sudo = sudo;
        this.identId = identId;
        this.data = data;
        this.authenMode = authenMode;
    }

    public Target() {}

}