package com.bocloud.tse.core.domain.input.software;

import com.bocloud.tse.core.annotation.Module;
import com.bocloud.tse.core.domain.front.software.RabbitmqFront;
import com.bocloud.tse.core.domain.input.Depend;
import com.bocloud.tse.core.domain.input.Input;
import com.bocloud.tse.core.domain.input.Target;

@Module(code = "task.software.rabbitmq")
public class RabbitmqInput extends Input<RabbitmqFront> {

    public RabbitmqInput() {}

    public RabbitmqInput(RabbitmqFront rabbitmqFront, Target target, Depend depend) {
        super(rabbitmqFront, target, depend);
    }

}