package com.bocloud.tse.core.module;

import com.bocloud.tse.core.domain.Option;

import lombok.Data;

@Data
public class Module<Entity> {

    private String name;
    private Entity args;
    private Option options;

    public Module(String name, Entity args) {
        this.name = name;
        this.args = args;
    }

    public Module(String name, Entity args, Option options) {
        this.name = name;
        this.args = args;
        this.options = options;
    }

    public Module() {
        super();
    }

}
