package com.bocloud.tse.model;

import com.alibaba.fastjson.JSON;

import lombok.Data;

@Data
public class JobResult {

    private Job job;
    private boolean success;
    private String msg;
    private Long time;
    private String exeSeqId;

    public JobResult() {
        super();
    }

    public JobResult(boolean success, String msg, Job job) {
        super();
        this.success = success;
        this.msg = msg;
        this.job = job;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
