package com.bocloud.tse.model;

import com.bocloud.tse.enums.TaskAction;

import lombok.Data;

@Data
public class TaskActionMessage {

    private String taskId;

    private Long nodeId;// 任务节点的ID

    private String queue;// 任务操作（暂停，继续，取消）的结果队列

    private TaskAction action;

    public TaskActionMessage(String taskId, Long nodeId, String queue, TaskAction action) {
        this.taskId = taskId;
        this.nodeId = nodeId;
        this.queue = queue;
        this.action = action;
    }

    public TaskActionMessage() {
        super();
    }

}
