package com.bocloud.tse.model;

/**
 * WorkerResult的组成部分
 *
 * @author sxp
 * @since Jan 23, 2018
 */
public class WorkerHostResult {
    private boolean success;
    private String host;
    private String category;
    private Long id;
    private int port;
    private String user;
    private double cost;
    private String task;
    private String message;

    public WorkerHostResult() {
        super();
    }

    public WorkerHostResult(Boolean success, String host, Object req, String string) {}

    public WorkerHostResult(boolean success, String host, String user, String message) {
        this.host = host;
        this.user = user;
        this.message = message;
        this.success = success;
    }

    public WorkerHostResult(Long id, boolean success, String host, String user, String message) {
        this.id = id;
        this.host = host;
        this.user = user;
        this.message = message;
        this.success = success;
    }

    public boolean isSuccess() {
        return success;
    }

    public boolean getSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public double getCost() {
        return cost;
    }

    public void setCost(double cost) {
        this.cost = cost;
    }

    public String getTask() {
        return task;
    }

    public void setTask(String task) {
        this.task = task;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
