package com.bocloud.tse.intf;

import java.util.Date;
import java.util.List;

import com.bocloud.tse.entity.Task;
import com.bocloud.tse.entity.TaskInstance;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;

public interface TaskService {

    /**
     * 查看任务详情
     */
    public GeneralResult<Task> detail(Long id);

    /**
     * 任务实例化
     */
    public TaskInstance initInstance(Long taskId, String mode, RequestContext context);

    /**
     * 改变状态
     */
    public GeneralResult<Void> updateStatus(Long id, String status, Long userId);

    public GeneralResult<Task> get(String uuid);

    public GeneralResult<Void> updateExecute(Long id, Date date);

    public GeneralResult<List<Task>> listSchedule();

}
