package com.bocloud.tse.repository;

import com.bocloud.tse.entity.Command;
import com.megatron.database.core.intf.impl.BasicGenericDao;
import com.megatron.framework.core.CurrentService;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 命令管理DAO接口实现
 */
@Repository("commandRepository")
public class CommandRepository extends BasicGenericDao<Command, Long> {

    public CommandRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, npJdbcTemplate, service);
    }

    public List<Command> list() {
        String sql = "select * from command where is_deleted = 0";
        return this.list(Command.class, sql);
    }

}
