package com.bocloud.tse.booter.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.info.Contact;
import io.swagger.v3.oas.models.info.Info;

@Configuration
public class SwaggerConfiguration {

    @Bean
    public OpenAPI openAPI() {
        Contact contact = new Contact().name("未伟").email("weiwei@beyondcent.com").url("http://www.bocloud.com/");
        Info info = new Info().title("任务引擎服务API接口文档").description("任务引擎服务API接口文档")
            .termsOfService("http://www.bocloud.com/").contact(contact).version("1.0");
        return new OpenAPI().info(info);
    }

}
