/**
 *
 */
package com.bocloud.tse.core.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Worker类型 主要包括：脚本，文件，资源，软件，方法，数据，运维
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
@Inherited
public @interface Module {
    String code() default "task.maintain.scirpt";
}
