package com.bocloud.tse.core.domain;

import java.util.List;

import com.bocloud.tse.model.WorkerHost;

import lombok.Data;

/**
 * 目标机器分组，用来整体封装Linux和Windows类型的目标机器
 */
@Data
public class TargetGroup {

    private List<WorkerHost> windows;

    private List<WorkerHost> linuxs;

    public TargetGroup(List<WorkerHost> windows, List<WorkerHost> linuxs) {
        this.windows = windows;
        this.linuxs = linuxs;
    }

    public TargetGroup() {
        super();
    }

}
