package com.bocloud.tse.core.domain.args.software;

import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class GitlabArg {

    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "gitlab_root_password")
    private String gitlabRootPassword;

    public GitlabArg() {}

    public GitlabArg(Map<String, Object> softwareConfig, String gitlabRootPassword) {
        super();
        this.softwareConfig = softwareConfig;
        this.gitlabRootPassword = gitlabRootPassword;
    }

}