package com.bocloud.tse.core.domain.args.software;

import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class JenkinsArg {

    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "jenkins_admin_username")
    private String jenkinsAdminUsername;
    @JSONField(name = "jenkins_admin_password")
    private String jenkinsAdminPassword;

    public JenkinsArg() {}

    public JenkinsArg(Map<String, Object> softwareConfig, String jenkinsAdminUsername, String jenkinsAdminPassword) {
        super();
        this.softwareConfig = softwareConfig;
        this.jenkinsAdminUsername = jenkinsAdminUsername;
        this.jenkinsAdminPassword = jenkinsAdminPassword;
    }

}