package com.bocloud.tse.core.domain.args.software;

import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class NfsArg {

    @JSONField(name = "nfs_server")
    private Map<String, Object> nfsServer;
    @JSONField(name = "nfs_client")
    private boolean nfsClient;

    public NfsArg(Map<String, Object> nfsServer, boolean nfsClient) {
        this.nfsServer = nfsServer;
        this.nfsClient = nfsClient;
    }

    public NfsArg() {}

}