package com.bocloud.tse.core.domain.common;

import java.util.ArrayList;
import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import com.megatron.common.utils.ListTool;

import lombok.Data;

@Data
public class NginxSite {

    private Integer listen;
    @JSONField(name = "server_name")
    private String serverName;
    private String root;
    private String index;
    private List<String> location;

    public NginxSite() {}

    public void setLocation(List<String> location) {
        if (ListTool.isEmpty(location)) {
            return;
        }
        this.location = new ArrayList<>();
        for (String data : location) {
            this.location.add(data.replace("\n", " "));
        }
    }

}