package com.bocloud.tse.core.domain.front.maintain;

import java.util.Map;

import com.megatron.common.enums.HttpRequestMethod;
import com.megatron.common.enums.PostDataFormat;

import lombok.Data;

@Data
public class HttpFront {

    private String url;
    private String body;
    private PostDataFormat format;
    private HttpRequestMethod method;
    private Map<String, Object> headers;
    private Map<String, Object> params;

    public HttpFront(String url, String body, PostDataFormat format, HttpRequestMethod method,
        Map<String, Object> headers, Map<String, Object> params) {
        this.url = url;
        this.body = body;
        this.format = format;
        this.method = method;
        this.headers = headers;
        this.params = params;
    }

    public HttpFront() {}

}
