package com.bocloud.tse.core.domain.front.software;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class ApacheFront {

    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "apache_vhosts")
    private List<Map<String, Object>> apacheVhosts;

    public ApacheFront() {}

    public ApacheFront(Map<String, Object> softwareConfig, List<Map<String, Object>> apacheVhosts) {
        this.softwareConfig = softwareConfig;
        this.apacheVhosts = apacheVhosts;
    }

}