package com.bocloud.tse.core.domain.front.software;

import java.util.List;
import java.util.Map;

import com.bocloud.tse.core.domain.group.Group;

import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
public class KafkaZkFront extends ZookeeperFront {

    private List<String> hosts;

    public KafkaZkFront(List<String> hosts) {
        this.hosts = hosts;
    }

    public KafkaZkFront(String version, List<Group> groups, boolean clusterInstall, Map<String, Object> softwareConfig,
        List<String> hosts) {
        super(version, groups, clusterInstall, softwareConfig);
        this.hosts = hosts;
    }

}