package com.bocloud.tse.core.domain.front.software;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;
import com.bocloud.tse.core.domain.group.Group;

import lombok.Data;

@Data
public class MemcacheFront {

    private String version;
    @JSONField(name = "cluster_install")
    private boolean clusterInstall;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "magent_config")
    private Map<String, Object> magentConfig;
    private List<Group> groups;

    public MemcacheFront(String version, boolean clusterInstall, Map<String, Object> softwareConfig,
        Map<String, Object> magentConfig, List<Group> groups) {
        super();
        this.version = version;
        this.clusterInstall = clusterInstall;
        this.softwareConfig = softwareConfig;
        this.magentConfig = magentConfig;
        this.groups = groups;
    }

    public MemcacheFront() {
        super();
    }

    public void setMagentConfig(Map<String, Object> magentConfig) {
        if (null == magentConfig || magentConfig.isEmpty()) {
            return;
        }
        this.magentConfig = magentConfig;
    }

}