package com.bocloud.tse.core.domain.front.software;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;
import com.bocloud.tse.core.domain.group.Group;

import lombok.Data;

@Data
public class NfsFront {

    private List<Group> groups;
    @JSONField(name = "nfs_server")
    private Map<String, Object> nfsServer;
    @JSONField(name = "nfs_client")
    private boolean nfsClient;
    @JSONField(name = "mount_pointers")
    private List<Map<String, Object>> mountPointers;

    public NfsFront(Map<String, Object> nfsServer, boolean nfsClient) {
        this.nfsServer = nfsServer;
        this.nfsClient = nfsClient;
    }

    public NfsFront() {}

}