package com.bocloud.tse.core.domain.front.software;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;
import com.bocloud.tse.core.domain.group.Group;

import lombok.Data;

@Data
public class RocketmqFront {

    private String version;
    @JSONField(name = "cluster_install")
    private boolean clusterInstall;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "cluster_name")
    private String clusterName;
    @JSONField(name = "rocketmq_nameserver_list")
    private String rocketmqNameserverList;
    @JSONField(name = "install_rocketmq_exporter")
    private boolean installRocketmqExporter;
    // @JSONField(name = "rocketmq_exporter_config")
    // private Map<String, Object> rocketmqExporterConfig;
    private List<Group> groups;

    public RocketmqFront(String version, boolean clusterInstall, Map<String, Object> softwareConfig, String clusterName,
        String rocketmqNameserverList, boolean installRocketmqExporter, List<Group> groups) {
        super();
        this.version = version;
        this.clusterInstall = clusterInstall;
        this.softwareConfig = softwareConfig;
        this.clusterName = clusterName;
        this.rocketmqNameserverList = rocketmqNameserverList;
        this.installRocketmqExporter = installRocketmqExporter;
        this.groups = groups;
    }

    public RocketmqFront() {
        super();
    }

}