package com.bocloud.tse.core.domain.front.software;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;
import com.bocloud.tse.core.domain.common.TomcatInstance;

import lombok.Data;

@Data
public class TomcatFront {

    private String version;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;
    @JSONField(name = "tomcat_instances")
    private List<TomcatInstance> tomcatInstances;

    public TomcatFront() {}

    public void setTomcatInstances(List<TomcatInstance> tomcatInstances) {
        if (null != tomcatInstances && !tomcatInstances.isEmpty()) {
            this.tomcatInstances = tomcatInstances;
        }
    }

}