package com.bocloud.tse.core.domain.front.software;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;
import com.bocloud.tse.core.domain.group.Group;

import lombok.Data;

@Data
public class ZookeeperFront {

    private String version;
    private List<Group> groups;
    @JSONField(name = "cluster_install")
    private boolean clusterInstall;
    @JSONField(name = "software_config")
    private Map<String, Object> softwareConfig;

    public ZookeeperFront() {}

    public ZookeeperFront(String version, List<Group> groups, boolean clusterInstall,
        Map<String, Object> softwareConfig) {
        this.version = version;
        this.groups = groups;
        this.clusterInstall = clusterInstall;
        this.softwareConfig = softwareConfig;
    }

}