package com.bocloud.tse.core.domain.group;

import java.util.List;
import java.util.Map;

import lombok.Data;

@Data
public class Group {

    private String name;
    private List<GroupHost> hosts;
    private Map<String, Object> vars;

    public Group(String name, List<GroupHost> hosts, Map<String, Object> vars) {
        this.name = name;
        this.hosts = hosts;
        this.vars = vars;
    }

    public Group() {}

}