package com.bocloud.tse.core.domain.group;

import java.util.ArrayList;
import java.util.List;

import com.bocloud.tse.core.domain.front.software.K8sFront;

public class K8sGroup {

    private K8sFront front;
    private List<Group> groups;

    public K8sGroup(K8sFront front) {
        this.front = front;
        this.groups = new ArrayList<>();
        this.build();
    }

    private void build() {
        List<Group> list = front.getGroups();
        for (Group group : list) {
            this.groups.add(group);
        }
    }

    public List<Group> getGroups() {
        return groups;
    }

}