package com.bocloud.tse.core.domain.input;

import lombok.Data;

/**
 * 任务输入抽象封装类
 */
@Data
public abstract class Input<Fronts> {

    private Fronts fronts;
    private Target target;
    private Depend depend;
    private String code;

    public Input() {}

    public Input(Fronts fronts, Target target, Depend depend) {
        this.fronts = fronts;
        this.target = target;
        this.depend = depend;
    }

    public Input(Fronts fronts, Target target, Depend depend, String code) {
        this.fronts = fronts;
        this.target = target;
        this.depend = depend;
        this.code = code;
    }

}