package com.bocloud.tse.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 任务主机表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table("task_node_relation")
public class NodeRelation extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("source")
    private Long source;
    @Column("target")
    private Long target;
    @Column("instance_id")
    private Long instanceId;
    @Column("status")
    private String status;
    @Column("dicision")
    private Boolean dicision;

    public NodeRelation() {
        super();
    }

    public NodeRelation(Long source, Long target, Long instanceId, String status, boolean dicision) {
        super();
        this.source = source;
        this.target = target;
        this.instanceId = instanceId;
        this.status = status;
        this.dicision = dicision;
    }

}
