package com.bocloud.tse.model;

import com.alibaba.fastjson.JSONObject;

import lombok.Data;

@Data
public class NodeConfig {

    private String id;
    private String parent;
    private long zIndex;
    private NodePosition position;
    private String icon;
    private NodeSize size;
    private String nodeType;
    private Boolean mainNode;
    private String shape;
    private String component;
    private boolean ignore;
    private String pid;
    private String role;
    private JSONObject attrs;

    public NodeConfig() {
        super();
    }

    public NodeConfig(String id, long zIndex, int x, int y, String icon, String nodeType) {
        super();
        this.id = id;
        this.zIndex = zIndex;
        this.size = new NodeSize(180, 40);
        this.position = new NodePosition(x, y);
        this.icon = icon;
        this.shape = "vue-shape";
        this.nodeType = nodeType;
    }

}
