package com.bocloud.tse.model;

import java.util.List;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.tse.entity.TaskNode;

import lombok.Data;

@Data
public class TaskGraph {

    private List<TaskNode> nodes;
    private List<TaskEdge> edges;
    private List<?> groups;

    public TaskGraph() {
        super();
    }

    public TaskGraph(List<TaskNode> nodes, List<TaskEdge> edges) {
        super();
        this.nodes = nodes;
        this.edges = edges;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }

}
