package com.bocloud.tse.model;

import java.util.ArrayList;
import java.util.List;

import lombok.Data;

@Data
public class WorkerLoadInfo {

    private List<String> workers;
    private List<String> excludeWorkers;
    private int position;

    public WorkerLoadInfo(List<String> workers, int position, List<String> excludeWorkers) {
        super();
        this.workers = workers;
        this.position = position;
        this.excludeWorkers = excludeWorkers;
    }

    public List<String> getWorkers() {
        return null == workers ? new ArrayList<>() : workers;
    }

    public List<String> getExcludeWorkers() {
        return null == excludeWorkers ? new ArrayList<>() : excludeWorkers;
    }

}
