package com.bocloud.tse.model;

import com.alibaba.fastjson.annotation.JSONField;

public class WorkerMetricInfo {

    @JSONField(name = "service.instance")
    private String instance;
    @JSONField(name = "task.number")
    private int taskNumber;

    public WorkerMetricInfo(String instance, int taskNumber) {
        this.instance = instance;
        this.taskNumber = taskNumber;
    }

    public String getInstance() {
        return instance;
    }

    public void setInstance(String instance) {
        this.instance = instance;
    }

    public int getTaskNumber() {
        return taskNumber;
    }

    public void setTaskNumber(int taskNumber) {
        this.taskNumber = taskNumber;
    }
}
