package com.bocloud.tse.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.bocloud.tse.entity.NodeModule;
import com.bocloud.tse.intf.NodeModuleService;
import com.bocloud.tse.repository.NodeModuleRepository;
import com.google.common.collect.Lists;

/**
 * 编排模型service实现
 */
@Service("nodeModuleService")
public class NodeModuleServiceImpl implements NodeModuleService {

    @Autowired
    private NodeModuleRepository nodeModuleRepository;

    @Override
    public List<NodeModule> listAll() {
        try {
            return nodeModuleRepository.list();
        } catch (Exception e) {
            return Lists.newArrayList();
        }
    }

}
